@font-face {
    font-family: "Forum"; 
    src: url("font/Forum/Forum-Regular.ttf") format("truetype"); 
    font-style: normal; 
    font-weight: normal; 
} 

@font-face {
    font-family: "Inter"; 
    src: url("font/Inter/Inter-VariableFont_slnt,wght.ttf") format("truetype"); 
    font-style: normal; 
    font-weight: normal; 
}

.contacts-wrapper {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.contacts-info span {
    font-family: forum;
    color: black;
}

.contacts-info span:nth-child(2) {
    font-family: forum;
    margin-left: 16px;
}

.card {
    padding: 7px;
    position: relative;
    display: flex;
    overflow: hidden;
    border-radius: 20px;
    margin-top: 3vw;
    box-shadow: 0 0 17px 7px #07182E;
    margin-bottom: 4vw;
    background-color: linear-gradient(to bottom right, #82c7d3, #237c89);
}

.card-wrapper {
    display: flex;
    background-color: linear-gradient(#70bdca, #268391);
    flex-direction: column;
    gap: 3vw;
    padding: 2.5vw;
    border-radius: 20px;
    z-index: 1;
    border: #07182E 2px solid;
    font-size: 2.2vw;
}
  
.card::before {
    content: '';
    position: absolute;
    width: 300%;
    left: -100%;
    top: -100%;
    background: linear-gradient(to right,#268391,rgb(155, 195, 235), rgb(78, 107, 176));
    height: 300%;
    animation: rotBGimg 4s infinite;
}

.map {
    width: 40%;
    height: 30vw;
    border-radius: 3vw;
    border: #07182E 4px solid;
    overflow: hidden;
    box-shadow: 0 0 10px 4px #237c89;
}

.map iframe {
    width: 100%;
    height: 31vw;
    border: 0;
}
  
@keyframes rotBGimg {
    from {
      transform: rotate(0deg);
    }
  
    to {
      transform: rotate(1800deg);
    }
}


@media screen and (max-width: 700px) {
    .contacts-wrapper {
        flex-direction: column;
        justify-content: baseline;
        align-items: center;
    }

    .contacts-info span {
        font-size: 3.7vw;
    }
    
    .contacts-info span:nth-child(2) {
        font-size: 3.7vw;
        margin-left: 10px;
    }

    .card {
       padding: 2vw;
       border-radius: 3.5vw;
       box-shadow: 0 0 8px 3px #07182E;
       margin-bottom: 6vw;
    }

    .card a {
        color: black;
    }
    
    .card-wrapper {
        gap: 5vw;
        padding: 5vw;
        border-radius: 3.5vw;
        border: #07182E 1.5px solid;
    }

    .map {
        width: 85%;
        height: 65vw;
        border-radius: 3vw;
        border: #07182E 1.5px solid;
        box-shadow: 0 0 4px 1px #237c89;
    }
    
    .map iframe {
        height: 65vw;
        width: 102%;
        position: relative;
        left: -1px;
        top: -1px;
    }
}